Package ghidra.program.util

# Class FunctionEndParametersFieldLocation

java.lang.Object
ghidra.program.util.ProgramLocation
ghidra.program.util.FunctionLocation
ghidra.program.util.FunctionSignatureFieldLocation
ghidra.program.util.FunctionEndParametersFieldLocation

All Implemented Interfaces:
  `Cloneable`, `Comparable<ProgramLocation>`

public class FunctionEndParametersFieldLocation extends FunctionSignatureFieldLocation
The `FunctionEndParametersFieldLocation` class provides a field for the close parenthesis of a function within a program location.

- ## Field Summary

  ### Fields inherited from class ghidra.program.util.FunctionLocation

  `functionAddr`

  ### Fields inherited from class ghidra.program.util.ProgramLocation

  `addr, program, refAddr`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionEndParametersFieldLocation()`
  Default constructor needed for restoring a program location from XML
  `FunctionEndParametersFieldLocation(Program program, Address locationAddr, Address functionAddr, int charOffset, String signature)`
  Construct a new FunctionEndParametersFieldLocation object.

- ## Method Summary

  ### Methods inherited from class ghidra.program.util.FunctionSignatureFieldLocation

  `equals, getSignature, hashCode, isFieldBasedPositioning, restoreState, saveState, toString`

  ### Methods inherited from class ghidra.program.util.FunctionLocation

  `getFunctionAddress, isValid`

  ### Methods inherited from class ghidra.program.util.ProgramLocation

  `clone, compareAddr, compareTo, getAddress, getByteAddress, getCharOffset, getColumn, getComponentPath, getLocation, getProgram, getRefAddress, getRow, getTranslatedCopy`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FunctionEndParametersFieldLocation

    public FunctionEndParametersFieldLocation(Program program, Address locationAddr, Address functionAddr, int charOffset, String signature)
    Construct a new FunctionEndParametersFieldLocation object.
    Parameters:
      `program` - the program of the location
      `locationAddr` - the address of the listing location (i.e., referent code unit)
      `functionAddr` - the function address
      `charOffset` - the position within the function signature string for this location.
      `signature` - the function signature string at this location.

  - ### FunctionEndParametersFieldLocation

    public FunctionEndParametersFieldLocation()
    Default constructor needed for restoring a program location from XML